## welle.io 2.0~beta1

=== debian/changelog ===
welle.io (2.0~beta1-1) unstable; urgency=medium

  * Initial release. (Closes: #918556)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 04 Jan 2019 14:20:37 +0100
