=== debian/control ===
Source: welle.io
Section: hamradio
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), libqt5charts5-dev, cmake, qtbase5-dev, qttools5-dev-tools, libsoapysdr-dev, librtlsdr-dev, qtquickcontrols2-5-dev, libqt5quick5, libfaad-dev, libmpg123-dev, libfftw3-dev, libmp3lame-dev, qtdeclarative5-dev, qtmultimedia5-dev
Standards-Version: 4.3.0
Homepage: https://www.welle.io/

Package: welle.io
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5quick5, libqt5multimedia5-plugins, qml-module-qt-labs-settings, qml-module-qtquick-window2, qml-module-qtquick2, qml-module-qtquick-layouts, qml-module-qtquick-dialogs, qml-module-qtquick-controls2, qml-module-qtquick-controls, qml-module-qtquick-templates2, qml-module-qtquick-privatewidgets, qml-module-qtquick-localstorage
Description: DAB/DAB+ Software Radio
 This is an open source DAB and DAB+ software defined radio (SDR) with support
 for rtl-sdr (RTL2832U) and airspy. It supports high DPI and touch displays and
 it runs even on cheap computers like Raspberry Pi 2/3 and 100€ China Windows
 10 tablets.
