## welle.io 2.0~beta2

=== debian/changelog ===
welle.io (2.0~beta2-2) unstable; urgency=medium

  * d/control: add libpulse-dev, libasound2-dev, libairspy-dev.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 14 Aug 2019 15:46:20 +0200

welle.io (2.0~beta2-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 31 May 2019 14:21:33 +0200
