=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: hamradio
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), libqt5charts5-dev, cmake, qtbase5-dev, qttools5-dev-tools, libsoapysdr-dev, librtlsdr-dev, qtquickcontrols2-5-dev, libqt5quick5, libfaad-dev, libmpg123-dev, libfftw3-dev, libmp3lame-dev, qtdeclarative5-dev, qtmultimedia5-dev
+Build-Depends: debhelper (>= 11), libqt5charts5-dev, cmake, qtbase5-dev, qttools5-dev-tools, libsoapysdr-dev, librtlsdr-dev, qtquickcontrols2-5-dev, libqt5quick5, libfaad-dev, libmpg123-dev, libfftw3-dev, libmp3lame-dev, qtdeclarative5-dev, qtmultimedia5-dev, libpulse-dev, libasound2-dev, libairspy-dev
 Standards-Version: 4.3.0
 Homepage: https://www.welle.io/
