=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export QTDIR=/usr/share/qt5
export QT_SELECT=qt5

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DRTLSDR=1 -DSOAPYSDR=1 -DGITDESCRIBE=2019

override_dh_auto_install:
	@echo skip install target
