=== debian/changelog ===
welle.io (2.1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:19:44 +0100

welle.io (2.1-2) unstable; urgency=medium

  * d/rules: include pkg-info.mk for $DEB_VERSION_UPSTREAM.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 10 Dec 2019 07:26:05 +0100

welle.io (2.1-1) unstable; urgency=medium

  * New upstream version.
  * Many thanks to Fab Stz for improvements on the packaging.
  * d/control: Add qml-module-qtgraphicaleffects to Build-Depends.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 05 Dec 2019 09:06:13 +0100

welle.io (2.0-2) unstable; urgency=medium

  * Add Vcs fields.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 29 Oct 2019 10:17:55 +0100

welle.io (2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 21 Oct 2019 09:09:00 +0200

welle.io (2.0~beta3-1) unstable; urgency=medium

  * New upstream version.
  * Add to Debian Hamradio Maintainers Team.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 10 Sep 2019 15:24:04 +0200

welle.io (2.0~beta2-3) unstable; urgency=medium

  * d/control: add bin/dep qml-module-qtcharts. (Closes: #939484)
  * Bump standards version to 4.4.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 05 Sep 2019 16:16:58 +0200
