## welle.io 2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -160,6 +160,7 @@
     src/welle-cli/welle-cli.cpp
     src/welle-cli/alsa-output.cpp
     src/welle-cli/webradiointerface.cpp
+    src/welle-cli/jsonconvert.cpp
     src/welle-cli/webprogrammehandler.cpp
     src/welle-cli/tests.cpp
 )
