=== debian/changelog ===
welle.io (2.2-1build1) jammy; urgency=medium

  * No-change rebuild against libsoapysdr0.8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 Nov 2021 19:13:07 +0000

welle.io (2.2-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.0.
  * Bump debhelper version to 13, drop d/compat.
  * d/control: added Rules-Requires-Root.
  * d/copyright:
    - update copyright years.
    - fix order of globbing-patterns.
    - added Upstream-Contact.
  * d/upstream/metadata: added.
  * d/source.lintian-overrieds moved to d/s/lintian-overrides.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 26 Aug 2020 07:39:18 +0200
