=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: welle.io
 Section: hamradio
 Priority: optional
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), libqt5charts5-dev, cmake, qtbase5-dev, qttools5-dev-tools, libsoapysdr-dev, librtlsdr-dev, qtquickcontrols2-5-dev, libqt5quick5, libfaad-dev, libmpg123-dev, libfftw3-dev, libmp3lame-dev, qtdeclarative5-dev, qtmultimedia5-dev, libpulse-dev, libasound2-dev, libairspy-dev
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), libqt5charts5-dev, cmake, qtbase5-dev, qttools5-dev-tools, libsoapysdr-dev, librtlsdr-dev, qtquickcontrols2-5-dev, libqt5quick5, libfaad-dev, libmpg123-dev, libfftw3-dev, libmp3lame-dev, qtdeclarative5-dev, qtmultimedia5-dev, libpulse-dev, libasound2-dev, libairspy-dev
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/welle.io.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/welle.io
+Rules-Requires-Root: no
 Homepage: https://www.welle.io/
 
 Package: welle.io
