=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,3 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DRTLSDR=1 -DSOAPYSDR=1 -DAIRSPY=1 -DGIT_COMMIT_HASH=8fc5739 -DGIT_DESCRIBE=${DEB_VERSION_UPSTREAM}
-
-#override_dh_auto_install:
-#	@echo skip install target
