## welle.io 2.3

=== debian/changelog ===
welle.io (2.3-1~mx19+2) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.
  * d/control: add libusb-1.0-0-dev, mesa-common-dev, libglu1-mesa-dev to BDs
   since they referenced by the developer.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 26 May 2021 15:00:34 -0400

welle.io (2.2-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <wamprabbit@mxlinux.org>  Tue, 01 Sep 2020 13:05:59 -0400
