=== debian/control ===
Source: welle.io
Section: hamradio
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), libqt5charts5-dev, cmake, qtbase5-dev, qttools5-dev-tools, libsoapysdr-dev, librtlsdr-dev, qtquickcontrols2-5-dev, libqt5quick5, libfaad-dev, libmpg123-dev, libfftw3-dev, libmp3lame-dev, qtdeclarative5-dev, qtmultimedia5-dev, libpulse-dev, libasound2-dev, libairspy-dev, libusb-1.0-0-dev, mesa-common-dev, libglu1-mesa-dev
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/welle.io.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/welle.io
Homepage: https://www.welle.io/

Package: welle.io
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5quick5, libqt5multimedia5-plugins, qml-module-qt-labs-settings, qml-module-qtquick-window2, qml-module-qtquick2, qml-module-qtquick-layouts, qml-module-qtquick-dialogs, qml-module-qtquick-controls2, qml-module-qtquick-controls, qml-module-qtquick-templates2, qml-module-qtquick-privatewidgets, qml-module-qtquick-localstorage, qml-module-qtcharts, qml-module-qtgraphicaleffects, libfftw3-single3
Description: DAB/DAB+ Software Radio
 This is an open source DAB and DAB+ software defined radio (SDR) with support
 for rtl-sdr (RTL2832U) and airspy. It supports high DPI and touch displays and
 it runs even on cheap computers like Raspberry Pi 2/3 and 100€ China Windows
 10 tablets.
