## welle.io 2.4+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -52,7 +52,7 @@
     set(CMAKE_AUTOMOC ON)
     set(CMAKE_AUTORCC ON)
 
-    find_package(Qt5 COMPONENTS Widgets Quick QuickControls2 Multimedia Charts Qml REQUIRED)
+    find_package(Qt5 COMPONENTS Widgets Quick QuickControls2 Multimedia Charts Qml DBus REQUIRED)
 endif()
 
 if(PROFILING)
@@ -152,6 +152,9 @@
     src/welle-gui/mot_image_provider.cpp
     src/welle-gui/gui_helper.cpp
     src/welle-gui/radio_controller.cpp
+    src/welle-gui/mpris/mpris.cpp
+    src/welle-gui/mpris/mpris_mp2.cpp
+    src/welle-gui/mpris/mpris_mp2_player.cpp
     src/welle-gui/debug_output.cpp
     src/welle-gui/waterfallitem.cpp
 )
@@ -212,6 +215,9 @@
 if(GIT_DESCRIBE)
   add_definitions("-DGITDESCRIBE=\"${GIT_DESCRIBE}\"")
 endif()
+
+STRING(TIMESTAMP BUILD_DATE "%s" UTC)
+add_definitions("-DBUILD_DATE=\"${BUILD_DATE}\"")
 
 if(BUILD_WELLE_IO)
     set(executableName welle-io)
@@ -225,7 +231,7 @@
       ${SoapySDR_LIBRARIES}
       ${MPG123_LIBRARIES}
       Threads::Threads
-      Qt5::Core Qt5::Widgets Qt5::Multimedia Qt5::Charts Qt5::Qml Qt5::Quick Qt5::QuickControls2
+      Qt5::Core Qt5::Widgets Qt5::Multimedia Qt5::Charts Qt5::Qml Qt5::Quick Qt5::QuickControls2 Qt5::DBus
     )
 
     if(APPLE AND WITH_APP_BUNDLE)
@@ -246,6 +252,7 @@
         INSTALL (TARGETS ${executableName} BUNDLE DESTINATION ${GUI_INSTALL_DIR})
     else()
         INSTALL (TARGETS ${executableName} RUNTIME DESTINATION ${GUI_INSTALL_DIR})
+        INSTALL (FILES src/welle-gui/doc/man/welle-io.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1/)
 
         if(UNIX AND NOT APPLE)
             INSTALL (FILES ${PROJECT_SOURCE_DIR}/welle-io.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
@@ -302,6 +309,7 @@
         )
     elseif(UNIX)
         INSTALL (TARGETS ${cliExecutableName} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
+        INSTALL (FILES src/welle-cli/doc/man/welle-cli.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1/)
         INSTALL (
             FILES
                 ${PROJECT_SOURCE_DIR}/src/welle-cli/index.html
