=== debian/changelog ===
welle.io (2.4+ds-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113629)

 -- Adrian Bunk <bunk@debian.org>  Mon, 20 Oct 2025 11:09:21 +0300

welle.io (2.4+ds-4) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Sun, 14 Jul 2024 20:21:44 +0000

welle.io (2.4+ds-3) unstable; urgency=medium

  * Team upload.
  * No longer define MPG123_NO_LARGENAME to address FTBFS on arm{eh,hf}
    (Closes: #1068512)

 -- tony mancill <tmancill@debian.org>  Sun, 07 Apr 2024 20:58:07 -0700

welle.io (2.4+ds-2) unstable; urgency=medium

  * remove manpages, they are shipped by upstream
  * d/rules: remove -DGIT_COMMIT_HASH=8fc5739
  * add patch 'append-theme-path.patch'
  * fix lintian errors & warning
  * d/watch: mangle version name since we use +ds suffix
  * update DEP-3 header of patch
  * apply wrap-and-sort to debian/*
  * bump Standards-Version: 4.6.1 (no changes required)

 -- Fab Stz <fabstz-it@yahoo.fr>  Mon, 15 Aug 2022 15:25:24 +0200

welle.io (2.4+ds-1) experimental; urgency=medium

  * New upstream release.
  * Bump standards version to 4.6.0.
  * Update maintainer address.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Mon, 14 Feb 2022 23:11:20 +0100

welle.io (2.3-1) experimental; urgency=medium

  * New upstream version.
  * d/copyright: update path for json file.
  * Bump standards version to 4.5.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 25 May 2021 20:22:52 +0200
