=== debian/control ===
Source: welle.io
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Alex Myczko <tar@debian.org>, Fab Stz <fabstz-it@yahoo.fr>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libairspy-dev,
               libasound2-dev,
               libfaad-dev,
               libfftw3-dev,
               libmp3lame-dev,
               libmpg123-dev,
               libpulse-dev,
               libqt5charts5-dev,
               libqt5quick5,
               librtlsdr-dev,
               libsoapysdr-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtmultimedia5-dev,
               qtquickcontrols2-5-dev,
               qttools5-dev-tools
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/welle.io.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/welle.io
Rules-Requires-Root: no
Homepage: https://www.welle.io/

Package: welle.io
Architecture: any
Depends: libqt5multimedia5-plugins,
         libqt5quick5,
         qml-module-qt-labs-settings,
         qml-module-qtcharts,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-localstorage,
         qml-module-qtquick-privatewidgets,
         qml-module-qtquick-templates2,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: DAB/DAB+ Software Radio
 This is an open source DAB and DAB+ software defined radio (SDR) with support
 for rtl-sdr (RTL2832U) and airspy. It supports high DPI and touch displays and
 it runs even on cheap computers like Raspberry Pi 2/3 and 100€ China Windows
 10 tablets.
