=== debian/changelog ===
welle.io (2.7+ds-1) unstable; urgency=medium

  * New upstream version.
  * Ack NMU.
  * Bump standards version to 4.7.2.
  * d/control:
    - drop Fab Stz from Uploaders. (Closes: #1068824)
    - drop Rules-Requires-Root.
    - Build-Depends/Depends update from qt5 to qt6.
  * d/copyright:
    - bump years.
    - update FSF address.
  * d/rules: add -DCMAKE_POLICY_VERSION_MINIMUM=3.5.
  * d/patches:
    - cmake-4.patch: dropped.
    - append-theme-path.patch: dropped.
    - cli-path-patch: dropped.

 -- Alex Myczko <tar@debian.org>  Fri, 05 Dec 2025 18:28:53 +0000
