=== debian/control ===
Source: welle.io
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libairspy-dev,
 libasound2-dev,
 libfaad-dev,
 libfftw3-dev,
 libmp3lame-dev,
 libmpg123-dev,
 libpulse-dev,
 librtlsdr-dev,
 libsoapysdr-dev,
 qt6-base-dev,
 qt6-declarative-dev,
 qt6-multimedia-dev,
 qt6-charts-dev,
 qt6-multimedia-dev,
 qt6-base-dev-tools,
 xxd,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/welle.io.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/welle.io
Homepage: https://www.welle.io/

Package: welle.io
Architecture: any
Depends:
 qml6-module-qtquick-window,
 qml6-module-qtquick-templates,
 qml6-module-qtquick-controls,
 qml6-module-qt-labs-settings,
 qml6-module-qtcharts,
 qml6-module-qt5compat-graphicaleffects,
 qml6-module-qtquick-controls,
 qml6-module-qtquick-dialogs,
 qml6-module-qtquick-layouts,
 qml6-module-qtquick-localstorage,
 ${misc:Depends},
 ${shlibs:Depends}
Description: DAB/DAB+ Software Radio
 This is an open source DAB and DAB+ software defined radio (SDR) with support
 for rtl-sdr (RTL2832U) and airspy. It supports high DPI and touch displays and
 it runs even on cheap computers like Raspberry Pi 2/3 and 100€ China Windows
 10 tablets.
