=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,8 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-export QTDIR=/usr/share/qt5
-export QT_SELECT=qt5
+#export QTDIR=/usr/share/qt5
+#export QT_SELECT=qt5
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -19,4 +19,4 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DRTLSDR=1 -DSOAPYSDR=1 -DAIRSPY=1 -DGIT_DESCRIBE=${DEB_VERSION_UPSTREAM}
+	dh_auto_configure -- -DRTLSDR=1 -DSOAPYSDR=1 -DAIRSPY=1 -DGIT_DESCRIBE=${DEB_VERSION_UPSTREAM} -DCMAKE_POLICY_VERSION_MINIMUM=3.5
